<div class="container">
  <div class="row justify-content-center">
    <div class="col-lg-5 text-center mx-auto">
      <h1 class="text-white mb-2 mt-5">&nbsp;</h1>
      <p class="text-lead text-white">&nbsp;</p>
      <p class="text-lead text-white">&nbsp;</p>
    </div>
  </div>
</div>
<div class="container">
  <div class="row mt-lg-n10 mt-md-n11 mt-n10 justify-content-center">
    <div class="col-xl-4 col-lg-5 col-md-7 mx-auto">
      <div class="card mt-5">
        <div class="card-header pb-0 text-start">
          <h3 class="font-weight-bolder">Sign up</h3>          
        </div>
        <div class="card-body">
          <%= form_for(resource, as: resource_name, url: registration_path(resource_name)) do |f| %>
            <%= render "devise/shared/error_messages", resource: resource %>
            <%= f.label :email %><br />
            <div class="mb-3">
              <%= f.email_field :email, autofocus: true, autocomplete: "email", class: "form-control", placeholder: "Email" %>
            </div>
            
            
    
    
            
            <%= f.label :password %><br />
            <div class="mb-3">
              <% if @minimum_password_length %>
                <em>(<%= @minimum_password_length %> characters minimum)</em>
              <% end %><br />
              <%= f.password_field :password, autocomplete: "new-password" , class: "form-control", placeholder: "Password" %>
            </div>
            
            <%= f.label :password_confirmation %><br />
            <div class="mb-3">
              <%= f.password_field :password_confirmation,class: "form-control", autocomplete: "new-password" %>
            </div>
            
            <div class="field">
              <%= f.label :role %><br />              
              <%= f.select :role, options_for_select(User::ROLE.collect { |role|
                                                                         [role] }, resource.role), {}, {id: 'select2_role',class:"form-control m-b",  required: true} %>
            </div>
            <div class="field">
              <%= f.label :player %><br />              
              <%= f.select :player_id, options_for_select(Player.all.order(:name).collect { |player|
                                                                   [(player.cellphone? ? player.try(:cellphone):'no cellphone') + "-" + player.name.titleize , player.id] }, resource.player_id), {}, {id: 'select2_player_id',class:"form-control ms-auto",  required: true} %>
            </div>
            <div class="text-center">
              <%= f.submit "Sign up", class: "btn btn-primary w-100 mt-4 mb-0" %>
            </div>          
          <%end%>
        </div>
        <div class="card-footer text-center pt-0 px-lg-2 px-1">
          <p class="mb-4 text-sm mx-auto">
            <%= render "devise/shared/links" %>  
          </p>
          
        </div>
      </div>
    </div>
  </div>
</div>

<script type="text/javascript">
  // In your Javascript (external .js resource or <script> tag)
  $(document).ready(function() {
      //$('.js-example-basic-single').select2();
      $('#select2_role').select2();
      $('#select2_player_id').select2();
  });
</script>